## aptly 0.8

=== src/github.com/smira/aptly/Makefile ===
GOVERSION=$(shell go version | awk '{print $$3;}')
PACKAGES=database deb files http query s3 utils
ALL_PACKAGES=aptly cmd console database deb files http query s3 utils
BINPATH=$(abspath ./_vendor/bin)
GOM_ENVIRONMENT=-test
PYTHON?=python

ifeq ($(GOVERSION), devel)
TRAVIS_TARGET=coveralls
GOM_ENVIRONMENT+=-development
else
TRAVIS_TARGET=test
endif

ifeq ($(TRAVIS), true)
GOM=$(HOME)/gopath/bin/gom
else
GOM=gom
endif

all: test check system-test

prepare:
	go get -u github.com/mattn/gom
	$(GOM) $(GOM_ENVIRONMENT) install

coverage.out:
	rm -f coverage.*.out
	for i in $(PACKAGES); do $(GOM) test -coverprofile=coverage.$$i.out -covermode=count ./$$i; done
	echo "mode: count" > coverage.out
	grep -v -h "mode: count" coverage.*.out >> coverage.out
	rm -f coverage.*.out

coverage: coverage.out
	$(GOM) exec go tool cover -html=coverage.out
	rm -f coverage.out

check:
	$(GOM) exec go tool vet -all=true -shadow=true $(ALL_PACKAGES:%=./%)
	$(GOM) exec golint $(ALL_PACKAGES:%=./%)

install:
	$(GOM) build -o $(BINPATH)/aptly

system-test: install
	if [ ! -e ~/aptly-fixture-db ]; then git clone https://github.com/aptly-dev/aptly-fixture-db.git ~/aptly-fixture-db/; fi
	if [ ! -e ~/aptly-fixture-pool ]; then git clone https://github.com/aptly-dev/aptly-fixture-pool.git ~/aptly-fixture-pool/; fi
	PATH=$(BINPATH)/:$(PATH) $(PYTHON) system/run.py --long

travis: $(TRAVIS_TARGET) system-test

test:
	$(GOM) test -v ./... -gocheck.v=true

coveralls: coverage.out
	$(GOM) exec $(BINPATH)/goveralls -service travis-ci.org -coverprofile=coverage.out -repotoken=$(COVERALLS_TOKEN)

mem.png: mem.dat mem.gp
	gnuplot mem.gp
	open mem.png

package:
	rm -rf root/
	mkdir -p root/usr/bin/ root/usr/share/man/man1/ root/etc/bash_completion.d
	cp $(BINPATH)/aptly root/usr/bin
	cp man/aptly.1 root/usr/share/man/man1
	(cd root/etc/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/master/aptly)
	gzip root/usr/share/man/man1/aptly.1
	fpm -s dir -t deb -n aptly -v $(VERSION) --url=http://www.aptly.info/ --license=MIT --vendor="Andrey Smirnov <me@smira.ru>" \
	   -f -m "Andrey Smirnov <me@smira.ru>" --description="Debian repository management tool" --deb-recommends bzip2 -C root/ .
	mv aptly_$(VERSION)_*.deb ~

src-package:
	rm -rf aptly-$(VERSION)
	mkdir -p aptly-$(VERSION)/src/github.com/smira/aptly/
	cd aptly-$(VERSION)/src/github.com/smira/ && git clone https://github.com/smira/aptly && cd aptly && git checkout v$(VERSION)
	cd aptly-$(VERSION)/src/github.com/smira/aptly && gom -production install
	cd aptly-$(VERSION)/src/github.com/smira/aptly && find . \( -name .git -o -name .bzr -o -name .hg \) -print | xargs rm -rf
	rm -rf aptly-$(VERSION)/src/github.com/smira/aptly/_vendor/{pkg,bin}
	tar cyf aptly-$(VERSION)-src.tar.bz2 aptly-$(VERSION)
	rm -rf aptly-$(VERSION)
	curl -T aptly-$(VERSION)-src.tar.bz2 -usmira:$(BINTRAY_KEY) https://api.bintray.com/content/smira/aptly/aptly/$(VERSION)/$(VERSION)/aptly-$(VERSION)-src.tar.bz2

.PHONY: coverage.out

=== src/github.com/smira/aptly/_vendor/src/github.com/mkrautz/goar/Makefile ===
include $(GOROOT)/src/Make.inc

TARG=github.com/mkrautz/goar

GOFILES=\
	common.go\
	writer.go\
	reader.go

include $(GOROOT)/src/Make.pkg

=== debian/changelog ===
aptly (0.8-3) unstable; urgency=medium

  * Correct Vcs-Browser entry (Closes: #764622)
  * Correct dependency from "gpg" to "gnupg" (Closes: #764619)

 -- Sebastien Delafond <seb@debian.org>  Thu, 09 Oct 2014 18:41:38 +0200

aptly (0.8-2) unstable; urgency=medium

  * Add missing dependencies on bzip2, gpg and gpgv

 -- Sebastien Delafond <seb@debian.org>  Thu, 09 Oct 2014 11:15:21 +0200

aptly (0.8-1) unstable; urgency=medium

  * Imported Upstream version 0.8
  * Document new copyrights and licenses
  * Add bash completion snippet
  * Reference full paths in debian/copyright, and remove unused
    references, so lintian does not complain

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Oct 2014 17:46:24 +0200

aptly (0.7.1-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1
  * Add copyright information for new libraries

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Sep 2014 10:03:27 +0200

aptly (0.5-5) unstable; urgency=medium

  * Turn off verbose mode
  * Correct Vcs-* information
  * gocov is licensed MIT, not BSD-3
  * Add missing MIT license text

 -- Sebastien Delafond <seb@debian.org>  Tue, 09 Sep 2014 09:20:40 +0200

aptly (0.5-4) unstable; urgency=medium

  * Collect licenses by going over files one by one
  * Use packaged golang-go.tools

 -- Sebastien Delafond <seb@debian.org>  Thu, 10 Jul 2014 00:49:09 +0200

aptly (0.5-3) unstable; urgency=low

  * Licensing:
    - goleveldb is BSD-2, not BSD-3
    - _vendor/src/code.google.com/p/gographviz/scanner/scanner is BSD-3,
      copyright 2009 The Go Authors

 -- Sebastien Delafond <seb@debian.org>  Wed, 28 May 2014 10:04:01 +0200

aptly (0.5-2) unstable; urgency=low

  * Go interpreter not needed at runtime

 -- Sebastien Delafond <seb@debian.org>  Fri, 02 May 2014 12:04:02 +0200

aptly (0.5-1) unstable; urgency=low

  * Initial release (Closes: #746343)

 -- Sebastien Delafond <seb@debian.org>  Tue, 29 Apr 2014 15:47:31 +0200

=== debian/control ===
Source: aptly
Section: utils
Priority: extra
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9.0.0), golang (>= 1.1), golang-go.tools, bash-completion
Standards-Version: 3.9.5
Homepage: http://www.aptly.info
Vcs-Git: git://anonscm.debian.org/collab-maint/aptly.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git

Package: aptly
Architecture: any
Depends: bzip2, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
Description: Swiss army knife for Debian repository management
 It offers several features making it easy to manage Debian package
 repositories:
 .
  - make mirrors of remote Debian/Ubuntu repositories, limiting by
    components/architectures
  - take snapshots of mirrors at any point in time, fixing state of
    repository at some moment of time
  - publish snapshot as Debian repository, ready to be consumed by apt
  - controlled update of one or more packages in snapshot from upstream
    mirror, tracking dependencies
  - merge two or more snapshots into one

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := github.com/smira/aptly

# our path
PACKAGE_DIR := src/github.com/smira/aptly
SOURCE_DIR := $(CURDIR)/$(PACKAGE_DIR)
DEST_DIR := $(CURDIR)/debian/aptly

%:
	dh $@ --sourcedirectory=$(SOURCE_DIR)

override_dh_auto_test:
	# nothing for now

override_dh_auto_clean:
	rm -f aptly
	rm -fr $(DEST_DIR)

override_dh_auto_build:
	GOPATH=:$(CURDIR):$(SOURCE_DIR)/_vendor go build -o aptly $(PACKAGE_DIR)/main.go

override_dh_auto_install:
	dh_bash-completion
	mkdir -p $(DEST_DIR)/usr/bin
	cp aptly  $(DEST_DIR)/usr/bin/

## aptly 0.9.5

=== src/github.com/smira/aptly/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 GOVERSION=$(shell go version | awk '{print $$3;}')
-PACKAGES=database deb files http query s3 utils
-ALL_PACKAGES=aptly cmd console database deb files http query s3 utils
+PACKAGES=context database deb files http query swift s3 utils
+ALL_PACKAGES=api aptly context cmd console database deb files http query swift s3 utils
 BINPATH=$(abspath ./_vendor/bin)
 GOM_ENVIRONMENT=-test
 PYTHON?=python
@@ -36,7 +36,7 @@
 	rm -f coverage.out
 
 check:
-	$(GOM) exec go tool vet -all=true -shadow=true $(ALL_PACKAGES:%=./%)
+	$(GOM) exec go tool vet -all=true $(ALL_PACKAGES:%=./%)
 	$(GOM) exec golint $(ALL_PACKAGES:%=./%)
 
 install:
@@ -67,7 +67,7 @@
 	(cd root/etc/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/master/aptly)
 	gzip root/usr/share/man/man1/aptly.1
 	fpm -s dir -t deb -n aptly -v $(VERSION) --url=http://www.aptly.info/ --license=MIT --vendor="Andrey Smirnov <me@smira.ru>" \
-	   -f -m "Andrey Smirnov <me@smira.ru>" --description="Debian repository management tool" --deb-recommends bzip2 -C root/ .
+	   -f -m "Andrey Smirnov <me@smira.ru>" --description="Debian repository management tool" --deb-recommends bzip2 --deb-recommends graphviz -C root/ .
 	mv aptly_$(VERSION)_*.deb ~
 
 src-package:
@@ -77,6 +77,8 @@
 	cd aptly-$(VERSION)/src/github.com/smira/aptly && gom -production install
 	cd aptly-$(VERSION)/src/github.com/smira/aptly && find . \( -name .git -o -name .bzr -o -name .hg \) -print | xargs rm -rf
 	rm -rf aptly-$(VERSION)/src/github.com/smira/aptly/_vendor/{pkg,bin}
+	mkdir -p aptly-$(VERSION)/bash_completion.d
+	(cd aptly-$(VERSION)/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/$(VERSION)/aptly)
 	tar cyf aptly-$(VERSION)-src.tar.bz2 aptly-$(VERSION)
 	rm -rf aptly-$(VERSION)
 	curl -T aptly-$(VERSION)-src.tar.bz2 -usmira:$(BINTRAY_KEY) https://api.bintray.com/content/smira/aptly/aptly/$(VERSION)/$(VERSION)/aptly-$(VERSION)-src.tar.bz2

=== debian/changelog ===
aptly (0.9.5-2) unstable; urgency=medium

  * Remove empty component in GOPATH (Closes: #793838)

  [ Sebastien Delafond ]

 -- Sebastien Delafond <seb@debian.org>  Sun, 16 Aug 2015 18:42:22 +0200

aptly (0.9.5-1) unstable; urgency=medium

  * Imported Upstream version 0.9.5
  * Up-to-date bash completion

 -- Sebastien Delafond <seb@debian.org>  Fri, 15 May 2015 10:46:51 +0200

aptly (0.9.1-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1
  * Document licenses and copyrights for new dependencies
  * Suggest graphviz
  * Proper name for bash-completion file
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sat, 02 May 2015 12:57:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9.0.0), golang (>= 1.1), golang-go.tools, bash-completion
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.aptly.info
 Vcs-Git: git://anonscm.debian.org/collab-maint/aptly.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git
@@ -11,6 +11,7 @@
 Package: aptly
 Architecture: any
 Depends: bzip2, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
+Suggests: graphviz
 Description: Swiss army knife for Debian repository management
  It offers several features making it easy to manage Debian package
  repositories:

## aptly 0.9.6

=== src/github.com/smira/aptly/Makefile ===
--- 
+++ 
@@ -67,7 +67,8 @@
 	(cd root/etc/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/master/aptly)
 	gzip root/usr/share/man/man1/aptly.1
 	fpm -s dir -t deb -n aptly -v $(VERSION) --url=http://www.aptly.info/ --license=MIT --vendor="Andrey Smirnov <me@smira.ru>" \
-	   -f -m "Andrey Smirnov <me@smira.ru>" --description="Debian repository management tool" --deb-recommends bzip2 --deb-recommends graphviz -C root/ .
+	   -f -m "Andrey Smirnov <me@smira.ru>" --description="Debian repository management tool" --deb-recommends bzip2 \
+	   --deb-recommends graphviz --deb-recommends xz-utils -C root/ .
 	mv aptly_$(VERSION)_*.deb ~
 
 src-package:

=== src/github.com/smira/aptly/_vendor/src/github.com/golang/protobuf/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


all:	install

install:
	go install ./proto
	go install ./jsonpb
	go install ./protoc-gen-go

test:
	go test ./proto
	go test ./jsonpb
	make -C protoc-gen-go/testdata test

clean:
	go clean ./...

nuke:
	go clean -i ./...

regenerate:
	make -C protoc-gen-go/descriptor regenerate
	make -C protoc-gen-go/plugin regenerate
	make -C protoc-gen-go/testdata regenerate
	make -C proto/testdata regenerate
	make -C jsonpb/jsonpb_test_proto regenerate

=== src/github.com/smira/aptly/_vendor/src/github.com/golang/protobuf/jsonpb/jsonpb_test_proto/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2015 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	protoc --go_out=. *.proto

=== src/github.com/smira/aptly/_vendor/src/github.com/golang/protobuf/protoc-gen-go/plugin/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Not stored here, but plugin.proto is in https://github.com/google/protobuf/
# at src/google/protobuf/compiler/plugin.proto
# Also we need to fix an import.
regenerate:
	echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
	protoc --go_out=Mgoogle/protobuf/descriptor.proto=github.com/golang/protobuf/protoc-gen-go/descriptor:. \
		-I$(HOME)/src/protobuf/src $(HOME)/src/protobuf/src/google/protobuf/compiler/plugin.proto && \
		mv google/protobuf/compiler/plugin.pb.go $(GOPATH)/src/github.com/golang/protobuf/protoc-gen-go/plugin

restore:
	cp plugin.pb.golden plugin.pb.go

preserve:
	cp plugin.pb.go plugin.pb.golden

=== debian/changelog ===
aptly (0.9.6-1) unstable; urgency=medium

  * Import new upstream version 0.9.6
  * Add dependency on xz-utils
  * Licenses and copyrights

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Feb 2016 18:28:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: aptly
 Architecture: any
-Depends: bzip2, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
+Depends: bzip2, xz-utils, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
 Suggests: graphviz
 Description: Swiss army knife for Debian repository management
  It offers several features making it easy to manage Debian package

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	rm -fr $(DEST_DIR)
 
 override_dh_auto_build:
-	GOPATH=:$(CURDIR):$(SOURCE_DIR)/_vendor go build -o aptly $(PACKAGE_DIR)/main.go
+	GOPATH=$(CURDIR):$(SOURCE_DIR)/_vendor go build -o aptly $(PACKAGE_DIR)/main.go
 
 override_dh_auto_install:
 	dh_bash-completion

## aptly 0.9.7

=== src/github.com/smira/aptly/Makefile ===
--- 
+++ 
@@ -59,18 +59,6 @@
 	gnuplot mem.gp
 	open mem.png
 
-package:
-	rm -rf root/
-	mkdir -p root/usr/bin/ root/usr/share/man/man1/ root/etc/bash_completion.d
-	cp $(BINPATH)/aptly root/usr/bin
-	cp man/aptly.1 root/usr/share/man/man1
-	(cd root/etc/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/master/aptly)
-	gzip root/usr/share/man/man1/aptly.1
-	fpm -s dir -t deb -n aptly -v $(VERSION) --url=http://www.aptly.info/ --license=MIT --vendor="Andrey Smirnov <me@smira.ru>" \
-	   -f -m "Andrey Smirnov <me@smira.ru>" --description="Debian repository management tool" --deb-recommends bzip2 \
-	   --deb-recommends graphviz --deb-recommends xz-utils -C root/ .
-	mv aptly_$(VERSION)_*.deb ~
-
 src-package:
 	rm -rf aptly-$(VERSION)
 	mkdir -p aptly-$(VERSION)/src/github.com/smira/aptly/
@@ -84,4 +72,12 @@
 	rm -rf aptly-$(VERSION)
 	curl -T aptly-$(VERSION)-src.tar.bz2 -usmira:$(BINTRAY_KEY) https://api.bintray.com/content/smira/aptly/aptly/$(VERSION)/$(VERSION)/aptly-$(VERSION)-src.tar.bz2
 
+goxc:
+	rm -rf root/
+	mkdir -p root/usr/share/man/man1/ root/etc/bash_completion.d
+	cp man/aptly.1 root/usr/share/man/man1
+	(cd root/etc/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/master/aptly)
+	gzip root/usr/share/man/man1/aptly.1
+	gom exec goxc -pv=$(VERSION) -max-processors=4 $(GOXC_OPTS)
+
 .PHONY: coverage.out

=== src/github.com/smira/aptly/_vendor/src/github.com/aws/aws-sdk-go/Makefile ===
LINTIGNOREDOT='awstesting/integration.+should not use dot imports'
LINTIGNOREDOC='service/[^/]+/(api|service|waiters)\.go:.+(comment on exported|should have comment or be unexported)'
LINTIGNORECONST='service/[^/]+/(api|service|waiters)\.go:.+(type|struct field|const|func) ([^ ]+) should be ([^ ]+)'
LINTIGNORESTUTTER='service/[^/]+/(api|service)\.go:.+(and that stutters)'
LINTIGNOREINFLECT='service/[^/]+/(api|service)\.go:.+method .+ should be '
LINTIGNOREDEPS='vendor/.+\.go'

SDK_WITH_VENDOR_PKGS=$(shell go list ./... | grep -v "/vendor/src")
SDK_ONLY_PKGS=$(shell go list ./... | grep -v "/vendor/")

all: get-deps generate unit

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  api_info                to print a list of services and versions"
	@echo "  docs                    to build SDK documentation"
	@echo "  build                   to go build the SDK"
	@echo "  unit                    to run unit tests"
	@echo "  integration             to run integration tests"
	@echo "  verify                  to verify tests"
	@echo "  lint                    to lint the SDK"
	@echo "  vet                     to vet the SDK"
	@echo "  generate                to go generate and make services"
	@echo "  gen-test                to generate protocol tests"
	@echo "  gen-services            to generate services"
	@echo "  get-deps                to go get the SDK dependencies"
	@echo "  get-deps-tests          to get the SDK's test dependencies"
	@echo "  get-deps-verify         to get the SDK's verification dependencies"

generate: gen-test gen-endpoints gen-services

gen-test: gen-protocol-test

gen-services:
	go generate ./service

gen-protocol-test:
	go generate ./private/protocol/...

gen-endpoints:
	go generate ./private/endpoints

build:
	@echo "go build SDK and vendor packages"
	@go build $(SDK_WITH_VENDOR_PKGS)

unit: get-deps-tests build verify
	@echo "go test SDK and vendor packages"
	@go test $(SDK_WITH_VENDOR_PKGS)

unit-with-race-cover: get-deps-tests build verify
	@echo "go test SDK and vendor packages"
	@go test -v -race -cpu=1,2,4 -covermode=atomic $(SDK_WITH_VENDOR_PKGS)

integration: get-deps-tests
	go test -tags=integration ./awstesting/integration/customizations/...
	gucumber ./awstesting/integration/smoke

verify: get-deps-verify lint vet

lint:
	@echo "go lint SDK and vendor packages"
	@lint=`golint ./...`; \
	lint=`echo "$$lint" | grep -E -v -e ${LINTIGNOREDOT} -e ${LINTIGNOREDOC} -e ${LINTIGNORECONST} -e ${LINTIGNORESTUTTER} -e ${LINTIGNOREINFLECT} -e ${LINTIGNOREDEPS}`; \
	echo "$$lint"; \
	if [ "$$lint" != "" ]; then exit 1; fi

vet:
	go tool vet -all -shadow $(shell ls -d */ | grep -v vendor)

get-deps: get-deps-tests get-deps-verify
	@echo "go get SDK dependencies"
	@go get -v $(SDK_ONLY_PKGS)

get-deps-tests:
	@echo "go get SDK testing dependencies"
	go get github.com/lsegal/gucumber/cmd/gucumber
	go get github.com/stretchr/testify
	go get github.com/smartystreets/goconvey

get-deps-verify:
	@echo "go get SDK verification utilities"
	go get github.com/golang/lint/golint

bench:
	@echo "go bench SDK packages"
	@go test -run NONE -bench . -benchmem -tags 'bench' $(SDK_ONLY_PKGS)

bench-protocol:
	@echo "go bench SDK protocol marshallers"
	@go test -run NONE -bench . -benchmem -tags 'bench' ./private/protocol/...

docs:
	@echo "generate SDK docs"
	rm -rf doc && bundle install && bundle exec yard

api_info:
	@go run private/model/cli/api-info/api-info.go

=== debian/changelog ===
aptly (0.9.7-1) unstable; urgency=medium

  * Imported new upstream version 0.9.7
  * Add new licenses and copyrights info

 -- Sebastien Delafond <seb@debian.org>  Tue, 24 May 2016 09:17:08 +0200

## aptly 1.0.1

=== Makefile ===
GOVERSION=$(shell go version | awk '{print $$3;}')
VERSION=$(shell git describe --tags | sed 's@^v@@' | sed 's@-@+@g')
PACKAGES=context database deb files http query swift s3 utils
PYTHON?=python
TESTS?=
BINPATH?=$(GOPATH)/bin

ifeq ($(GOVERSION), devel)
TRAVIS_TARGET=coveralls
else
TRAVIS_TARGET=test
endif

all: test check system-test

prepare:
	go get -u github.com/mattn/goveralls
	go get -u github.com/axw/gocov/gocov
	go get -u golang.org/x/tools/cmd/cover
	go get -u github.com/alecthomas/gometalinter
	gometalinter --install

dev:
	go get -u github.com/golang/dep/...
	go get -u github.com/laher/goxc

coverage.out:
	rm -f coverage.*.out
	for i in $(PACKAGES); do go test -coverprofile=coverage.$$i.out -covermode=count ./$$i; done
	echo "mode: count" > coverage.out
	grep -v -h "mode: count" coverage.*.out >> coverage.out
	rm -f coverage.*.out

coverage: coverage.out
	go tool cover -html=coverage.out
	rm -f coverage.out

check:
	gometalinter --vendor --vendored-linters --config=linter.json ./...

install:
	go install -v -ldflags "-X main.Version=$(VERSION)"

system-test: install
	if [ ! -e ~/aptly-fixture-db ]; then git clone https://github.com/aptly-dev/aptly-fixture-db.git ~/aptly-fixture-db/; fi
	if [ ! -e ~/aptly-fixture-pool ]; then git clone https://github.com/aptly-dev/aptly-fixture-pool.git ~/aptly-fixture-pool/; fi
	APTLY_VERSION=$(VERSION) PATH=$(BINPATH)/:$(PATH) $(PYTHON) system/run.py --long $(TESTS)

travis: $(TRAVIS_TARGET) check system-test

test:
	go test -v `go list ./... | grep -v vendor/` -gocheck.v=true

coveralls: coverage.out
	$(BINPATH)/goveralls -service travis-ci.org -coverprofile=coverage.out -repotoken=$(COVERALLS_TOKEN)

mem.png: mem.dat mem.gp
	gnuplot mem.gp
	open mem.png

src-package:
	rm -rf aptly-$(VERSION)
	mkdir -p aptly-$(VERSION)/src/github.com/smira/aptly/
	cd aptly-$(VERSION)/src/github.com/smira/ && git clone https://github.com/smira/aptly && cd aptly && git checkout v$(VERSION)
	mkdir -p aptly-$(VERSION)/bash_completion.d
	(cd aptly-$(VERSION)/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/$(VERSION)/aptly)
	tar cyf aptly-$(VERSION)-src.tar.bz2 aptly-$(VERSION)
	rm -rf aptly-$(VERSION)

goxc:
	rm -rf root/
	mkdir -p root/usr/share/man/man1/ root/etc/bash_completion.d
	cp man/aptly.1 root/usr/share/man/man1
	(cd root/etc/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/master/aptly)
	gzip root/usr/share/man/man1/aptly.1
	goxc -pv=$(VERSION) -max-processors=4 $(GOXC_OPTS)

man:
	make -C man

version:
	@echo $(VERSION)

.PHONY: coverage.out man version

=== debian/changelog ===
aptly (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Update debian/copyright
  * Adapt debian/rules
  * Update Vcs-Git
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Tue, 18 Jul 2017 11:53:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9.0.0), golang (>= 1.1), golang-go.tools, bash-completion
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.aptly.info
-Vcs-Git: git://anonscm.debian.org/collab-maint/aptly.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/aptly.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git
 
 Package: aptly

## aptly 1.1.1

=== debian/changelog ===
aptly (1.1.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Add debian/gbp.conf

 -- Sebastien Delafond <seb@debian.org>  Fri, 03 Nov 2017 09:03:18 +0100

aptly (1.1.1-2) unstable; urgency=medium

  * Support both uncompressed control.tar, and xz-compressed
    control.tar.xz. Thanks to Boyuan Yang for the patch (Closes: 879718)

 -- Sebastien Delafond <seb@debian.org>  Thu, 02 Nov 2017 13:23:29 +0100

aptly (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Use bash-completion snippet from upstream
  * Bump up Standards-Version
  * Update debian/copyright
  
 -- Sebastien Delafond <seb@debian.org>  Thu, 02 Nov 2017 09:03:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: aptly
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9.0.0), golang (>= 1.1), golang-go.tools, bash-completion
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.aptly.info
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/aptly.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 export DH_GOPKG := github.com/smira/aptly
 
 # our path
-PACKAGE_DIR := src/github.com/smira/aptly
-SOURCE_DIR := $(CURDIR)/$(PACKAGE_DIR)
+SOURCE_DIR := $(CURDIR)
 DEST_DIR := $(CURDIR)/debian/aptly
 
 %:
@@ -20,13 +19,15 @@
 	# nothing for now
 
 override_dh_auto_clean:
-	rm -f aptly
 	rm -fr $(DEST_DIR)
 
 override_dh_auto_build:
-	GOPATH=$(CURDIR):$(SOURCE_DIR)/_vendor go build -o aptly $(PACKAGE_DIR)/main.go
 
 override_dh_auto_install:
+	mkdir -p $(CURDIR)/src/github.com/smira/
+	ln -sf ../../../ $(CURDIR)/src/github.com/smira/aptly
+	ls -l $(CURDIR)/src/github.com/smira/aptly/
+	GOBIN=$(CURDIR) GOPATH=$(CURDIR):$(SOURCE_DIR)/vendor go install -v $(SOURCE_DIR)/main.go
 	dh_bash-completion
 	mkdir -p $(DEST_DIR)/usr/bin
-	cp aptly  $(DEST_DIR)/usr/bin/
+	mv $(CURDIR)/main $(DEST_DIR)/usr/bin/aptly

## aptly 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 GOVERSION=$(shell go version | awk '{print $$3;}')
 VERSION=$(shell git describe --tags | sed 's@^v@@' | sed 's@-@+@g')
-PACKAGES=context database deb files http query swift s3 utils
+PACKAGES=context database deb files gpg http query swift s3 utils
 PYTHON?=python
 TESTS?=
 BINPATH?=$(GOPATH)/bin
@@ -35,16 +35,26 @@
 	go tool cover -html=coverage.out
 	rm -f coverage.out
 
-check:
-	gometalinter --vendor --vendored-linters --config=linter.json ./...
+check: system/env
+	if [ -x travis_wait ]; then \
+		travis_wait gometalinter --config=linter.json ./...; \
+	else \
+		gometalinter --config=linter.json ./...; \
+	fi
+	. system/env/bin/activate && flake8 --max-line-length=200 --exclude=system/env/ system/
 
 install:
 	go install -v -ldflags "-X main.Version=$(VERSION)"
 
-system-test: install
+system/env: system/requirements.txt
+	rm -rf system/env
+	virtualenv system/env
+	system/env/bin/pip install -r system/requirements.txt
+
+system-test: install system/env
 	if [ ! -e ~/aptly-fixture-db ]; then git clone https://github.com/aptly-dev/aptly-fixture-db.git ~/aptly-fixture-db/; fi
 	if [ ! -e ~/aptly-fixture-pool ]; then git clone https://github.com/aptly-dev/aptly-fixture-pool.git ~/aptly-fixture-pool/; fi
-	APTLY_VERSION=$(VERSION) PATH=$(BINPATH)/:$(PATH) $(PYTHON) system/run.py --long $(TESTS)
+	. system/env/bin/activate && APTLY_VERSION=$(VERSION) PATH=$(BINPATH)/:$(PATH) $(PYTHON) system/run.py --long $(TESTS)
 
 travis: $(TRAVIS_TARGET) check system-test
 
@@ -58,20 +68,11 @@
 	gnuplot mem.gp
 	open mem.png
 
-src-package:
-	rm -rf aptly-$(VERSION)
-	mkdir -p aptly-$(VERSION)/src/github.com/smira/aptly/
-	cd aptly-$(VERSION)/src/github.com/smira/ && git clone https://github.com/smira/aptly && cd aptly && git checkout v$(VERSION)
-	mkdir -p aptly-$(VERSION)/bash_completion.d
-	(cd aptly-$(VERSION)/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/$(VERSION)/aptly)
-	tar cyf aptly-$(VERSION)-src.tar.bz2 aptly-$(VERSION)
-	rm -rf aptly-$(VERSION)
-
 goxc:
 	rm -rf root/
 	mkdir -p root/usr/share/man/man1/ root/etc/bash_completion.d
 	cp man/aptly.1 root/usr/share/man/man1
-	(cd root/etc/bash_completion.d && wget https://raw.github.com/aptly-dev/aptly-bash-completion/master/aptly)
+	cp bash_completion.d/aptly root/etc/bash_completion.d
 	gzip root/usr/share/man/man1/aptly.1
 	goxc -pv=$(VERSION) -max-processors=4 $(GOXC_OPTS)

=== vendor/github.com/gin-gonic/gin/Makefile ===
GOFMT ?= gofmt "-s"
PACKAGES ?= $(shell go list ./... | grep -v /vendor/)
GOFILES := $(shell find . -name "*.go" -type f -not -path "./vendor/*")

all: build

install: deps
	govendor sync

.PHONY: test
test:
	go test -v -covermode=count -coverprofile=coverage.out

.PHONY: fmt
fmt:
	$(GOFMT) -w $(GOFILES)

.PHONY: fmt-check
fmt-check:
	# get all go files and run go fmt on them
	@diff=$$($(GOFMT) -d $(GOFILES)); \
	if [ -n "$$diff" ]; then \
		echo "Please run 'make fmt' and commit the result:"; \
		echo "$${diff}"; \
		exit 1; \
	fi;

vet:
	go vet $(PACKAGES)

deps:
	@hash govendor > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/kardianos/govendor; \
	fi
	@hash embedmd > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/campoy/embedmd; \
	fi

embedmd:
	embedmd -d *.md

.PHONY: lint
lint:
	@hash golint > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/golang/lint/golint; \
	fi
	for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || exit 1; done;

.PHONY: misspell-check
misspell-check:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -error $(GOFILES)

.PHONY: misspell
misspell:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -w $(GOFILES)

=== vendor/github.com/gin-gonic/gin/examples/realtime-advanced/Makefile ===
all: deps build

.PHONY: deps
deps:
	go get -d -v github.com/dustin/go-broadcast/...
	go get -d -v github.com/manucorporat/stats/...

.PHONY: build
build: deps
	go build -o realtime-advanced main.go rooms.go routes.go stats.go

=== debian/changelog ===
aptly (1.2.0-3) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Feb 2018 17:02:25 +0100

aptly (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Build-Depend on golang-any, not golang
  * Set XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 18:41:37 +0100

aptly (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Jan 2018 13:43:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 9.0.0), golang (>= 1.1), golang-go.tools, bash-completion
+Build-Depends: debhelper (>= 9.0.0), golang-any, golang-go.tools, bash-completion
 Standards-Version: 4.1.1
 Homepage: http://www.aptly.info
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/aptly.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git
+Vcs-Git: https://salsa.debian.org/debian/aptly
+Vcs-Browser: https://salsa.debian.org/debian/aptly
+XS-Go-Import-Path: github.com/smira/aptly
 
 Package: aptly
 Architecture: any

=== debian/watch ===
version=3
https://github.com/smira/aptly/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## aptly 1.3.0

=== Makefile ===
GOVERSION=$(shell go version | awk '{print $$3;}')
VERSION=$(shell git describe --tags | sed 's@^v@@' | sed 's@-@+@g')
PACKAGES=context database deb files gpg http query swift s3 utils
PYTHON?=python
TESTS?=
BINPATH?=$(GOPATH)/bin
RUN_LONG_TESTS?=yes

GO_1_10_AND_HIGHER=$(shell (printf '%s\n' go1.10 $(GOVERSION) | sort -cV >/dev/null 2>&1) && echo "yes")

all: test check system-test

prepare:
	go get -u github.com/alecthomas/gometalinter
	gometalinter --install

dev:
	go get -u github.com/golang/dep/...
	go get -u github.com/laher/goxc

check: system/env
ifeq ($(RUN_LONG_TESTS), yes)
	if [ -x travis_wait ]; then \
		travis_wait gometalinter --config=linter.json ./...; \
	else \
		gometalinter --config=linter.json ./...; \
	fi
	. system/env/bin/activate && flake8 --max-line-length=200 --exclude=system/env/ system/
endif

install:
	go install -v -ldflags "-X main.Version=$(VERSION)"

system/env: system/requirements.txt
ifeq ($(RUN_LONG_TESTS), yes)
	rm -rf system/env
	virtualenv system/env
	system/env/bin/pip install -r system/requirements.txt
endif

system-test: install system/env
ifeq ($(RUN_LONG_TESTS), yes)
	if [ ! -e ~/aptly-fixture-db ]; then git clone https://github.com/aptly-dev/aptly-fixture-db.git ~/aptly-fixture-db/; fi
	if [ ! -e ~/aptly-fixture-pool ]; then git clone https://github.com/aptly-dev/aptly-fixture-pool.git ~/aptly-fixture-pool/; fi
	PATH=$(BINPATH)/:$(PATH) && . system/env/bin/activate && APTLY_VERSION=$(VERSION) $(PYTHON) system/run.py --long $(TESTS)
endif

test:
ifeq ($(GO_1_10_AND_HIGHER), yes)
	go test -v ./... -gocheck.v=true -race -coverprofile=coverage.txt -covermode=atomic
else
	go test -v `go list ./... | grep -v vendor/` -gocheck.v=true
endif

mem.png: mem.dat mem.gp
	gnuplot mem.gp
	open mem.png

goxc:
	rm -rf root/
	mkdir -p root/usr/share/man/man1/ root/etc/bash_completion.d/ root/usr/share/zsh/vendor-completions/
	cp man/aptly.1 root/usr/share/man/man1
	cp completion.d/aptly root/etc/bash_completion.d/
	cp completion.d/_aptly root/usr/share/zsh/vendor-completions/
	gzip root/usr/share/man/man1/aptly.1
	goxc -pv=$(VERSION) -max-processors=4 $(GOXC_OPTS)

man:
	make -C man

version:
	@echo $(VERSION)

.PHONY: man version

=== debian/changelog ===
aptly (1.3.0-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports. (Closes: #902057)

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jun 2018 23:34:53 -0400

aptly (1.3.0-5) unstable; urgency=medium

  * Fix syntax-error-in-dep5-copyright.
  * Fix unnecessary-testsuite-autopkgtest-field.
  * Fix broken autopkgtest.
  * Depend on gpgv1.

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jun 2018 23:01:36 -0400

aptly (1.3.0-4) unstable; urgency=medium

  * Document #902128 in debian/copyright
  * Point debian/watch to new git repo on GitHub
  * Add simple autopkgtest
  * Add debian/.gitlab-ci.yml
  * Depend on gnupg1 (Closes: #902419)

 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Jun 2018 14:24:34 +0200

aptly (1.3.0-3) unstable; urgency=medium

  * Create aptly-api package. (Closes: #902032)

 -- Alexandre Viau <aviau@debian.org>  Fri, 22 Jun 2018 13:51:50 -0400

aptly (1.3.0-2) unstable; urgency=medium

  * Team upload, many thanks to Alexandre Viau for this work
  * Switch to dh-golang. (Closes: #902038)
  * Fix vcs-field-not-canonical.
  * Fix insecure-copyright-format-uri.

 -- Sebastien Delafond <seb@debian.org>  Fri, 22 Jun 2018 13:53:11 +0200

aptly (1.3.0-1) unstable; urgency=medium

  * Fix copyright
  * New upstream version 1.3.0

 -- Sebastien Delafond <seb@debian.org>  Thu, 21 Jun 2018 15:14:57 +0200

aptly (1.2.0-4) unstable; urgency=medium

  * Enable Built-Using in debian/control (thanks M. Staperberg)

 -- Sebastien Delafond <seb@debian.org>  Tue, 06 Mar 2018 10:10:42 +0100

=== debian/control ===
Source: aptly
Section: utils
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-go.tools,
               bash-completion
Standards-Version: 4.1.3
Homepage: http://www.aptly.info
Vcs-Git: https://salsa.debian.org/debian/aptly.git
Vcs-Browser: https://salsa.debian.org/debian/aptly
XS-Go-Import-Path: github.com/aptly-dev/aptly

Package: aptly
Architecture: any
Depends: bzip2, xz-utils, gnupg1, gpgv1, ${shlibs:Depends}, ${misc:Depends}
Suggests: graphviz
Built-Using: ${misc:Built-Using}
Description: Swiss army knife for Debian repository management - main package
 It offers several features making it easy to manage Debian package
 repositories:
 .
  - make mirrors of remote Debian/Ubuntu repositories, limiting by
    components/architectures
  - take snapshots of mirrors at any point in time, fixing state of
    repository at some moment of time
  - publish snapshot as Debian repository, ready to be consumed by apt
  - controlled update of one or more packages in snapshot from upstream
    mirror, tracking dependencies
  - merge two or more snapshots into one
 .
 This is the main package, it contains the aptly command-line utility.

Package: aptly-api
Architecture: any
Depends: ${misc:Depends}, aptly, adduser
Built-Using: ${misc:Built-Using}
Description: Swiss army knife for Debian repository management - API
 It offers several features making it easy to manage Debian package
 repositories:
 .
  - make mirrors of remote Debian/Ubuntu repositories, limiting by
    components/architectures
  - take snapshots of mirrors at any point in time, fixing state of
    repository at some moment of time
  - publish snapshot as Debian repository, ready to be consumed by apt
  - controlled update of one or more packages in snapshot from upstream
    mirror, tracking dependencies
  - merge two or more snapshots into one
 .
 This package contains the aptly-api service.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_test:
	# tests are failing for now and the pacakge vendors many libraries

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion

=== debian/tests/control ===
Test-Command: /usr/bin/dh_golang_autopkgtest
Depends: @, @builddeps@, dh-golang
Restrictions: allow-stderr

Test-Command: aptly repo create autopkgtest
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/aptly-dev/aptly/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## aptly 1.3.0%2Bds1

=== debian/changelog ===
aptly (1.3.0+ds1-2.2~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Rebuild for buster.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 20 May 2019 02:22:34 +0800

aptly (1.3.0+ds1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix DB backwards compatibility (Closes: #911924)
  * Fix struct field tag typo
  * Update debian/NEWS about DB compatibility

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Apr 2019 00:18:23 +0800

aptly (1.3.0+ds1-2.1) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Non-maintainer upload.
  * Add patch to fix UUID struct field not encoded in msgpack (Closes: #923866)

  [ Tobias Frost ]
  * Prepare upload.

 -- Tobias Frost <tobi@debian.org>  Fri, 05 Apr 2019 17:19:14 +0200

aptly (1.3.0+ds1-2) unstable; urgency=medium

  * Add NEWS to warn about database compatibility.

 -- Alexandre Viau <aviau@debian.org>  Fri, 26 Oct 2018 13:22:38 -0400

aptly (1.3.0+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Alexandre Viau ]
  * d/watch: Append +ds suffix.
  * d/copyright: ignore vendor/*. (Closes: #902128)
  * d/copyright: remove vendor/* sections.
  * d/copyright: MIT -> Expat.
  * d/control: add vendor/* build dependencies.
  * Patch: Use Debian's uuid package.
  * Patch: Use Debian's lzma package.
  * d/rules: remove trailing whitespace.

 -- Alexandre Viau <aviau@debian.org>  Mon, 15 Oct 2018 11:54:03 -0400

aptly (1.3.0-6) unstable; urgency=medium

  * Combine autodep8 and autopkgtest.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Jun 2018 18:11:41 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,37 @@
                dh-golang,
                golang-any,
                golang-go.tools,
-               bash-completion
+               bash-completion,
+               golang-github-disposaboy-jsonconfigreader-dev,
+               golang-gopkg-h2non-filetype.v1-dev,
+               golang-github-aleksi-pointer-dev,
+               golang-github-awalterschulze-gographviz-dev,
+               golang-github-mkrautz-goar-dev,
+               golang-github-smira-go-xz-dev,
+               golang-github-smira-go-ftp-protocol-dev,
+               golang-github-smira-flag-dev,
+               golang-github-smira-commander-dev,
+               golang-gopkg-cheggaaa-pb.v1-dev,
+               golang-github-mattn-go-shellwords-dev,
+               golang-github-smira-go-aws-auth-dev,
+               golang-github-wsxiaoys-terminal-dev,
+               golang-github-mxk-go-flowrate-dev,
+               golang-github-pborman-uuid-dev,
+               golang-github-kjk-lzma-dev,
+               golang-github-aws-aws-sdk-go-dev,
+               golang-github-gin-gonic-gin-dev,
+               golang-github-ncw-swift-dev,
+               golang-github-pkg-errors-dev,
+               golang-github-syndtr-goleveldb-dev,
+               golang-github-ugorji-go-codec-dev,
+               golang-golang-x-sys-dev,
+               golang-golang-x-crypto-dev,
 Standards-Version: 4.1.3
 Homepage: http://www.aptly.info
 Vcs-Git: https://salsa.debian.org/debian/aptly.git
 Vcs-Browser: https://salsa.debian.org/debian/aptly
 XS-Go-Import-Path: github.com/aptly-dev/aptly
+Testsuite: autopkgtest-pkg-go
 
 Package: aptly
 Architecture: any
